import {Context, DefaultState, DefaultContext, Middleware, Next} from 'koa';
import Router from 'koa-router';
/**
 * content file or directory referrer
 */
export interface ContentReferrer{
    getHash():Promise<string>;
    path: string;
    desc: object|undefined;
}

export interface ContentContext{
    content:ContentReferrer
}

export interface ContentManager{
    getRouter():Router<ContentContext & DefaultState, DefaultContext>
    createContent(path:string,option?:any):Promise<ContentReferrer>
}